%define oname   BlueCloth

Name:       ruby-%{oname}
Version:    1.0.1
Release:    %mkrel 3
Summary:    A Ruby implementation of Markdown
Group:      Development/Ruby
License:    GPLv2+
URL:        http://deveiate.org/projects/BlueCloth
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
BlueCloth is a Ruby implementation of Markdown, a text-to-HTML conversion
tool for web writers. Markdown allows you to write using an easy-to-read,
easy-to-write plain text format, then convert it to structurally valid XHTML
(or HTML).

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/bluecloth.rb

%check
ruby test.rb

%clean
rm -rf %{buildroot}



%changelog
* Thu Jan 27 2011 shikamaru <shikamaru> 1.0.1-3.mga1
+ Revision: 41547
- imported package ruby-BlueCloth


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.1-3mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2011.0
+ Revision: 614769
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 500478
- import rubygem-BlueCloth


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1
- initial release
